TICKIT_TERM_FLUSH(3)

NAME
tickit_term_flush - flush the terminal output buffer

SYNOPSIS
    #include <tickit.h>

    void tickit_term_flush(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_flush() flushes any data pending in the output buffer to the terminal, either by calling the output function by write(3) on the output file descriptor. If there is no pending data then this function does nothing.

RETURN VALUE
tickit_term_flush() returns no value.

SEE ALSO
tickit_term_build(3), tickit_term_set_output_buffer(3), tickit_term_print(3), tickit_term(7), tickit(7)